#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libplacebo-7.360.1

- Next

  libsndfile-1.2.2

- Up
- Home

# libsamplerate-0.2.2

## Introduction to libsamplerate

libsamplerate is a sample rate converter for audio.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/libsndfile/libsamplerate/releases/download/0.2.2/libsamplerate-0.2.2.tar.xz

- Download MD5 sum: 97c010fc25156c33cddc272c1935afab

- Download size: 3.2 MB

- Estimated disk space required: 15 MB (add 2 MB for tests)

- Estimated build time: less than 0.1 SBU (add 0.3 SBU for tests)

### libsamplerate Dependencies

#### Optional

alsa-lib-1.2.15.3, libsndfile-1.2.2, and fftw-3.3.11 (for tests)

## Installation of libsamplerate

Install libsamplerate by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/libsamplerate-0.2.2 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Program: None
Installed Library: libsamplerate.so
Installed Directory: /usr/share/doc/libsamplerate-0.2.2

- Prev

  libplacebo-7.360.1

- Next

  libsndfile-1.2.2

- Up
- Home